This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 536321 - (RHQ-684) [RFE] Group definition groupBy pattern subMatch
[RFE] Group definition groupBy pattern subMatch
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement, SubFeature
Depends On:
Blocks: RHQ-399 jon3
  Show dependency treegraph
 
Reported: 2008-07-16 15:35 EDT by Jay Shaughnessy
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Any
Last Closed: 2014-05-15 16:18:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2008-07-16 15:35:00 EDT
This feature would allow group definitions to pivot on a value substring specified as a regex submatch.  The basic idea is to be able to pivot on information embedded within values such as hostname, ip, etc.  For example, if business unit is encoded into hostnames at company X and they want to see all JBAS servers by business unit this currently can't be done with a single group definition.  IT can be done with one GD per business unit, with each GD narrowing it's resulting single group with a "contains" type operation.  For example, if we had two business units each with two machines:

BU01-Machine01
BU01-Machine02

BU02-Machine01
BU02-Machine01

today:

resource.type.plugin = JBossAS
resource.type.name = JBossAS Server
resource.parent.type.plugin = Platforms
resource.parent.type.category = PLATFORM
resource.parent.trait[Hostname] contains = BU01


resource.type.plugin = JBossAS
resource.type.name = JBossAS Server
resource.parent.type.plugin = Platforms
resource.parent.type.category = PLATFORM
resource.parent.trait[Hostname] contains = BU02

The proposal is for something like:

resource.type.plugin = JBossAS
resource.type.name = JBossAS Server
resource.parent.type.plugin = Platforms
resource.parent.type.category = PLATFORM
groupby resource.parent.trait[Hostname] matching  (BU\d\d)-Machine\d\d

So, the group by would work not just on distinct values of a specified value set, but distinct portions of those values.




Comment 1 Joseph Marques 2008-09-10 09:47:52 EDT
jay, i believe this functionality already exists.  though, it's perfectly possible that it did not when you filed this jira.  i tested some of your scenarios, and they work just fine without error.  can you test some more permutations and then either re-open or close as appropriate?
Comment 2 Joseph Marques 2008-09-10 09:50:36 EDT
oph, nevermind.  i used your first two examples.  this jira is really a proposition for the one at the bottom.
Comment 3 Red Hat Bugzilla 2009-11-10 16:14:42 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-684

Note You need to log in before you can comment on or make changes to this bug.